
:root {
	font-size: .75rem;
	font-family: Arial, Helvetica, sans-serif;
	--scroll-bar-color: #c5c5c5;
	--scroll-bar-bg-color: #f6f6f6;
	/* --button-background: hsl(0, 0%, 90%); */
	/* for blue theme 
	--button-color: hsl(0, 0%, 100%);
	--button-background: hsl(197, 100%, 43%);
	--button-background-disabled: red;
	--button-hover-background: hsl(205, 100%, 40%);
	--input-border-color: hsl(200, 100%, 35%); 
	--button-text-shadow:0 -1px 0px hsl(0, 0%, 0%);*/
	/*for standard theme*/
	--button-color: hsl(0, 0%, 0%);
	--button-background: hsl(0, 0%, 95%);
	--button-hover-background: hsl(0, 0%, 90%);
	--button-background-disabled: hsl(0, 0%, 100%);
	--input-border-color: hsl(0, 0%, 50%);
	--button-text-shadow:0 1px 0px rgb(255 255 255);
	--input-border-radius:3px;
	/* --text--type--control-focus: rgba(255, 250, 205, 0.49); */
	--text--type--control-focus: 0px 1px 0px 0px black;
	--input-disabled-border-color:  hsl(0, 0%, 70%);
	--input-disabled-color:  hsl(0, 0%, 70%);
}
html{padding: 0;margin: 0;}
body{padding: 0 5px;margin: 0;}
*,*::after,*::before{
	box-sizing: border-box;
	margin: 0;
}
::-webkit-scrollbar-corner { background: rgba(0,0,0,0.5); }

* {
	scrollbar-width: thin;
	scrollbar-color: var(--scroll-bar-color) var(--scroll-bar-bg-color);
}
*::-webkit-scrollbar {
	width: 12px;
	height: 12px;
}
*::-webkit-scrollbar-track {
	background: var(--scroll-bar-bg-color);
}
*::-webkit-scrollbar-thumb {
	background-color: var(--scroll-bar-color);
	border-radius: 20px;
	border: 3px solid var(--scroll-bar-bg-color);
}
input,
button,
select,
textarea,input[type=file]::file-selector-button {
	outline: none;
	border:1px solid var(--input-border-color);
	border-radius: var(--input-border-radius);
	vertical-align: top;
	font-size: 1rem;
}
input[type=text]:focus,input[type=password]:focus,textarea:focus{
	/* background-color: var(--text--type--control-focus); */
	box-shadow: var(--text--type--control-focus);
	/* inset 1px 1px 2px hsl(197, 100%, 43%) */
	/* ,inset -1px -1px 2px #009CDA; */
}
input[type=button],input[type=reset],input[type=submit],input[type=file]::file-selector-button,button{
    padding: 3px 6px;
	box-shadow: 0 2px 3px 0 rgb(0 0 0 / 26%);
	/* text-transform: uppercase; */
	background: var(--button-background);
	/* text-shadow: var(--button-text-shadow); */
	color:var(--button-color);
	transition: background .2s ease;
}
input[type=button][disabled],input[type=reset][disabled],input[type=submit][disabled],input[type=file][disabled]::file-selector-button,button[disabled]{
    padding: 3px 6px;
	box-shadow: none;
	/* text-transform: uppercase; */
	background: var(--button-background-disabled);
	/* text-shadow: var(--button-text-shadow); */
	color:var(--input-disabled-color);
	transition: background .2s ease;
	border:1px solid var(--input-disabled-border-color);
}
input[type=button]:hover,input[type=reset]:hover,input[type=submit]:hover,input[type=file]::file-selector-button:hover,button:hover,
input[type=button]:focus,input[type=reset]:focus,input[type=submit]:focus,input[type=file]::file-selector-button:focus,button:focus{
	background: var(--button-hover-background);
	/* box-shadow: 0 3px 3px 0 hsl(0, 1%, 62%); */
	/* border: 1px solid black; */
	/* outline: 1px solid hsl(0, 1%, 62%); */
	/* text-shadow: 0 0px 2px #ccc,0 0px 3px #ccc,0 0px 4px #ccc,0 0px 5px #ccc,0 0px 6px #ccc,0 0px 7px #ccc; */
}
 .udf-combo-input,.udf-date-input,.udf-text-input{
	display: inline-flex;border:1px solid var(--input-border-color);border-radius: var(--input-border-radius);
	padding:0;margin: 2px;height: 1.8rem;background-color: white;
} 
.udf-combo-input :is(input,span),.udf-date-input :is(input,span),.udf-text-input :is(input,span){
	border:none;
}
input[type=text]{padding: 0 2px;}
input.udf-text-input[type=text]{
	min-width: 16rem;
}
.udf-text-input :is(input[type=button],button){
	border-left:1px solid var(--input-border-color);
}
.udf-edit-multiple-options{
	display:inline-flex;gap:.5rem;margin-left:5px;
}


.udf-combo-input:focus-within,.udf-text-input:focus-within{box-shadow: var(--text--type--control-focus)}
.udf-combo-input input[type=text],.udf-date-input input[type=text],.udf-text-input input[type=text]{border-color:transparent;box-shadow: unset;}
.udf-combo-input span{
	border-left:1px solid var(--input-border-color);
	padding:0 5px;
	background: var(--button-background);
	cursor: default;
	color: var(--button-color);
}
.udf-combo-input span:hover{
	background: var(--button-hover-background);
}
.udf-date-input input {width: 6rem;background: none;}
.udf-date-input span,.udf-text-input span{border:none;padding:0 5px;visibility: hidden;cursor: default;color:gray}
.udf-date-input input:focus,.udf-text-input input:focus{background: inherit;}
.udf-date-input span:hover,.udf-text-input span:hover{
	text-shadow: 0 0px 2px gray;
}
.udf-date-input img{
	height: 1.7rem;object-fit: cover;vertical-align: bottom;
}
.udf-date-input input:not(:placeholder-shown) ~ span,.udf-text-input input:not(:placeholder-shown) ~ span{
	visibility: visible;
}
.udf-date-input input[data-readonly] ~ :is(span,img){
	visibility: hidden;
}

.udf-text-input-dropdown-item{user-select:none;border-bottom:1px solid silver;padding:2px 5px;} 
.udf-text-input-dropdown-item:hover{background:lemonchiffon;} 
.udf-text-input-dropdown{border:none;width:0px;height:0px;position:relative;} 
.udf-text-input-dropdown-layer{
	position:absolute; z-index:100;top:2rem;background:white;border:1px solid silver;box-shadow: 2px 2px 2px silver;
	min-width:16.5rem;max-width: 25rem;max-height:25rem;overflow: auto;
} 

td,th{
	vertical-align: top;
}
th{
	font-weight: bold;
	text-align: left;
	font-weight: 600;
}
.ComboBoxLabel {
	font-weight: bold;
	text-align: left;
}
.cscd-input{
	border: 1px solid var(--input-border-color) !important;
	border-radius:var(--input-border-radius) !important;
}
.cscd-input span{
	color: var(--input-border-color) !important;
}
.ComboBox {
	background: white;
	font-weight: normal;
}
h1{
	font-size: 1.3rem;
	font-weight: bold;
	vertical-align: top;
	text-align: left;
	margin: 5px 0px;
}
h2{
	font-size: 1.2rem;
	font-weight: bold;
	vertical-align: top;
	text-align: left;
	margin: 5px 0px;
}
h3{
	font-size: 1.1rem;
	font-weight: bold;
	vertical-align: top;
	text-align: left;
	margin: 5px 0px;
}
h4 {
	font-size: 1rem;
	font-weight: bold;
	vertical-align: top;
	text-align: left;
	margin: 5px 0px;
}

h5 {
	font-size: .9rem;
	font-weight: bold;
	vertical-align: top;
	text-align: left;
	margin: 5px 0px;
}

a {
	color: black;
	text-decoration: underline;
	font-weight: bold;
	font-style: normal;
}

.fixedSize {
	width: 80px;
	height: 70px;
}

.fixedLongSize {
	width: 500px;
	height: 60px;
}

.pageHeading {
	letter-spacing: .35rem;
	font-size: 1.3rem;
	font-weight: bold;
	font-family: Arial;
	margin-left: 1.1rem;
}

.menuBar {
	margin-left: 1rem
}

.selTab {
	background: #005EBA;
	text-align: center;
	border-left: 3px solid white;
}

.tabs {
	background: navy;
	text-align: center;
	border-left: 3px solid white;
}

tr.bars a {
	color: white;
	text-decoration: underline;
	font-weight: bold;
	font-family: arial
}

tr.bars a:hover {
	color: silver;
	text-decoration: underline;
	font-weight: bold;
}

.menuItem {
	padding-left: .5rem;
	padding-right: .5rem;
	border-left: 1px solid white;
	text-align: center
}

.notes {
	/*background: whitesmoke;*/
	color: hsl(0, 100%, 50%);
	font-weight: lighter;
	padding: 2px 5px;
	font-size:.9rem;
	font-style: oblique;
}

.heading {
	background: #009CDA;
	color: white;
	font-weight: bold;
	font-size: 1rem;
}

.headingnoBG {
	color: Black;
	font-weight: bold;
	font-size: 1rem;
}

.headingInBlack {
	background: #009CDA;
	color: Black;
	font-weight: bold;
	font-size: 1rem;
	padding: 5px
}

.stdDataTable {
	border: 1px solid #009cda;
}

.stdTable {}

table.stdTable {
	border: 1px solid black
		/*#009cda*/
	;
}

table.stdTable tr.header th {
	background: #009cda;
	color: white;
	font-weight: bold;
	padding: 2px 3px;
	text-align: left;
}

table.stdTable td {
	padding: 2px 3px;
}

table.stdTable tr.header th a {
	color: white;
}

table.stdTable tr.header th a:hover {
	color: white;
}

table.stdTable th {
	padding: 0px 3px;
}

table.stdDataTable {
	border-collapse: collapse;
	border-spacing: 0px;
	cursor: default;
}

table.stdDataTable>tbody>tr>th {
	background: #009cda;
	color: white;
	font-weight: bold;
	border-bottom: 1px solid silver;
	padding: 3px;
}

table.stdDataTable>tbody>tr>td {
	border-bottom: 1px solid silver;
	padding: 3px;
}

table.stdDataTable>tr>th {
	background: #009cda;
	color: white;
	font-weight: bold;
	border-bottom: 1px solid silver;
	padding: 3px;
	cursor: pointer;
}

table.stdDataTable>tr>td {
	border-bottom: 1px solid silver;
	padding: 3px;
}

table.stdDataTable>tr>th a {
	color: white;
	font-weight: bold;
}

table.stdDataTable>tr:hover {
	background: lemonchiffon;
	color: black;
}

table.stdDataTable>tbody>tr:hover {
	background: lemonchiffon;
	color: black;
}

table.grid {
	border-spacing: 0px;
	border-right: 1px solid #009cda;
	border-left: 1px solid #009cda;
	border-bottom: 1px solid #009cda;
}

table.grid th {
	background: #009cda;
	color: white;
	font-weight: bold;
}

table.grid td {
	border-top: 1px solid silver;
	border-left: 1px solid silver;
	padding: 3px;
}

table.grid th {
	border-top: 1px solid silver;
	border-left: 1px solid silver;
	padding: 3px;
}

.WOID {
	font-size: 1.34rem;
	color: black;
	font-weight: bold;
}

.optionClass {
	font-size: 1.1rem;
	color: black;
	font-weight: bold;
	margin-top: 10px;
	margin-bottom: 5px;
}

.optionClass a {
	font-size: 1.1rem;
	color: black;
	font-weight: bold;
}

table.stdDataTable tr.deselectRow {
	background: white;
	color: black;
}

table.stdDataTable tr.selectRow {
	background: lightblue;
	color: black;
}

.deselectRow {
	background: white;
	color: black;
}

.selectRow {
	background: lightblue;
	color: black;
}

input.processButton,input.stdButton,input.btn {
	background: var(--button-background);
	color: var(--button-color)
}
input[type="button"].processButton:hover,input[type="reset"].processButton:hover,input[type="submit"].processButton:hover,
input[type="button"].stdButton:hover,input[type="reset"].stdButton:hover,input[type="submit"].stdButton:hover,
input[type="button"].btn:hover,input[type="reset"].btn:hover,input[type="submit"].btn:hover {
	background: var(--button-hover-background)
}
.printeronlyHeading {
	display: none;
}

.comments {
	background: lightyellow;
	color: red;
}

.comments h5 {
	margin-bottom: 3px;
}

.alertMsg {
	position: absolute;
	z-index:1000;
	top: 0px;
	background: #000000;
	border-radius: 5px;
	color: white;
	width: 50vh;
	left:25vw;
	font-size: 1.2rem;
	font-weight:600;
	padding:.5rem;
	box-shadow: 3px 3px 3px silver;
	text-align: center;
}
.alertMsg a {
	color: red;
}


.note {
	font-weight: bold;
	color: red;
	background: lightyellow;
}

li {
	font-size: 9pt;
	vertical-align: top
}
#mmheaderdiv{
	position: -webkit-sticky;position: sticky;top:0px;left:0;right:0;z-index: 1;
	background:white;
	box-shadow: 0px 4px 4px -5px #009cda;
}
.pageHeader a{font-weight: bold;}
.pagefooter{
	font-size: .84rem;
	box-shadow: 0px -4px 4px -4px #009cda;
	padding: 3px 0;margin-top:2px;
}
.pagefooter a{font:inherit;color:inherit;}

div.tab{
	position: relative;
	padding: .2rem 8px 0px;
	bottom: -1px;
	margin-right: 5px;
	color: hsl(197, 100%, 43%);
	border: 1px solid hsl(197, 100%, 43%);
	border-radius: 3px 3px 0 0;
	cursor: hand;
	cursor: pointer;
}
div.tab:first-child{margin-left: 10px;}

div.taboff {
	background: hsl(0, 0%, 95%);
}

div.tabon {
	border-bottom: 1px solid #ffffff;
	background: white;
	border-top: 2px solid hsl(197, 100%, 43%);
	bottom: -2px;
}

div.pane {
	vertical-align: text-top;
}

div.tabcontent {
	border: 1px solid hsl(197, 100%, 43%);
	text-align: left;
	padding: 5px;
	background: white;
	display: none;
}

div.tabcontent a {
	display: inline-block;
	padding: 3px 6px;
	color:#009cda;
	vertical-align: top;
	font-size: 1rem;
	font-weight: normal;
	text-decoration: none;
}

div.tabcontent a:hover {
	text-decoration: underline;
}

div.treeNode {
	margin-left: 15px;
	padding-left: 5px;
	border-left: 1px dotted black;
	/*making unselectable*/
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

div.treeData {
	border: 1px solid black;
	user-select: none;
	cursor: pointer;
	margin-top: 1px;
	/*making unselectable*/
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

div.treeData table>tbody>tr>td:nth-child(1) {
	white-space: nowrap;
	word-break: break-word
}

div.treeData:hover {
	border-color: yellow;
	background: lightyellow;
}

div.tree {
	border: .25px solid black;
	/*padding: 3px;*/
	/*making unselectable*/
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.hbox {
	display: flex;
	flex-flow: row wrap;
}

.inlineblock {
	display: inline-block
}

.qrbar-labelbox {
	font-size: 4pt;
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
}

.qrbar-databox {
	display: flex;
}

.qrbar-databox>*:nth-child(1) {
	flex: 0 1 25%;
}

.qrbar-databox>*:nth-child(2) {
	flex: 0 1 75%;
}

.qrbar-labeltext {
	font-size: xx-small;
	vertical-align: top;
	overflow: hidden;
	word-wrap: break-word;
	word-break: break-all;
	box-sizing: border-box
}
.working {
	position: absolute;
	left: 50%;
	top: 50%;
	z-index: 1;
	width: 25px;
	height: 25px;
	margin: -25px 0 0 -25px;
	border: 10px solid #009cda;
	border-color: #009cda white;
	border-radius: 50%;
	-webkit-animation: spin .5s linear infinite;
	animation: spin .5s linear infinite;
}

@-webkit-keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(360deg);
	}
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

@media print {
	html,
	body {
		margin: 0px;
		padding: 0px
	}
	.printeronlyHeading {
		display: block;
		font-size: 12pt;
	}
	.dontP {
		display: none;
	}
	td,
	th {
		border-bottom: 1px solid silver;
	}
	.ng-hide {
		display: none
	}
	table.stdDataTable>tbody>tr>th {
		background: whitesmoke;
		color: black;
		font-weight: bold;
		border-bottom: 1px solid silver;
		padding: 3px;
	}
}